Package org.eclipse.jdt.ui.text

## Interface IJavaPartitions

    public interface IJavaPartitions

Definition of Java partitioning and its partitions.

Since:
  3.1

### Field Summary

Fields
`static String` `JAVA_CHARACTER` The identifier of the Java character partition content type.
`static String` `JAVA_DOC` The identifier of the Javadoc (JLS2: DocumentationComment) partition content type.
`static String` `JAVA_MULTI_LINE_COMMENT` The identifier multi-line (JLS2: TraditionalComment) comment partition content type.
`static String` `JAVA_MULTI_LINE_STRING` The identifier multi-line (JEP 355: Text Block) String partition content type.
`static String` `JAVA_PARTITIONING` The identifier of the Java partitioning.
`static String` `JAVA_SINGLE_LINE_COMMENT` The identifier of the single-line (JLS2: EndOfLineComment) end comment partition content type.
`static String` `JAVA_STRING` The identifier of the Java string partition content type.

### Field Detail

#### JAVA_PARTITIONING

    static final String JAVA_PARTITIONING

The identifier of the Java partitioning.

See Also:
  Constant Field Values

#### JAVA_SINGLE_LINE_COMMENT

    static final String JAVA_SINGLE_LINE_COMMENT

The identifier of the single-line (JLS2: EndOfLineComment) end comment partition content type.

See Also:
  Constant Field Values

#### JAVA_MULTI_LINE_COMMENT

    static final String JAVA_MULTI_LINE_COMMENT

The identifier multi-line (JLS2: TraditionalComment) comment partition content type.

See Also:
  Constant Field Values

#### JAVA_DOC

    static final String JAVA_DOC

The identifier of the Javadoc (JLS2: DocumentationComment) partition content type.

See Also:
  Constant Field Values

#### JAVA_STRING

    static final String JAVA_STRING

The identifier of the Java string partition content type.

See Also:
  Constant Field Values

#### JAVA_CHARACTER

    static final String JAVA_CHARACTER

The identifier of the Java character partition content type.

See Also:
  Constant Field Values

#### JAVA_MULTI_LINE_STRING

    static final String JAVA_MULTI_LINE_STRING

The identifier multi-line (JEP 355: Text Block) String partition content type.

Since:
  3.20
See Also:
  Constant Field Values